textures/slothszone_shader/snowy_skybox_s
{
	qer_editorimage env/snowy_bk.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 50
	q3map_sun 0.9 0.95 1 75 50 25
	skyParms env/slothzone/snowy - -
}

textures/slothszone_shader/flake_01_s
{
	entityMergable
	cull none
	qer_editorimage textures/slothszone/flake_01
	{
		map textures/slothszone/flake_01.tga
		blendFunc	blend
		rgbGen		vertex
		alphaGen	vertex
	}
}

textures/slothszone_shader/light5_10k
{
	qer_editorimage textures/niveus/xlight5.tga
	q3map_lightimage textures/niveus/xlight5.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/niveus/xlight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/niveus/xlight5.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/slothszone_shader/slickice
{
	map textures/slothszone/001metal.jpg
	q3map_editorimage textures/slothszone/slick
	qer_editorimage textures/slothszone/001metal.jpg
	surfaceparm slick
	qer_trans 0.50
}

textures/slothszone_shader/nonsolid
{
	qer_editorimage textures/slothszone/grt_offmtl.tga
	surfaceparm nonsolid
	{
		map textures/slothszone/grt_offmtl.tga

	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

textures/slothszone_shader/vine06_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/slothszone/vine06.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}






textures/slothszone_shader/vine06
{
	qer_editorimage textures/slothszone/vine06.tga
	q3map_backShader textures/slothszone_shader/vine06_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/slothszone/vine06.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}



textures/slothszone_shader/darktransice
{
	qer_editorimage textures/slothszone/scratchglass.jpg
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/slothszone/scratchglass.jpg
		blendfunc add
		rgbGen const ( 0.1 0.1 0.1 )
	}
}

// ======================================================================
// Wall Torch Stuff - Thanks to Sockter
// ======================================================================
textures/slothszone_shader/torchflame
{
	qer_editorimage	textures/slothszone/flame1.jpg
	qer_trans 0.99

	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans

	cull disable
	deformvertexes autosprite2

	{
		animMap 10 textures/slothszone/flame1.jpg textures/slothszone/flame2.jpg textures/slothszone/flame3.jpg textures/slothszone/flame4.jpg textures/slothszone/flame5.jpg textures/slothszone/flame6.jpg textures/slothszone/flame7.jpg textures/slothszone/flame8.jpg
		blendFunc add
		rgbGen wave inverseSawtooth 0 1 0 10
	}	
	{
		animMap 10 textures/slothszone/flame2.jpg textures/slothszone/flame3.jpg textures/slothszone/flame4.jpg textures/slothszone/flame5.jpg textures/slothszone/flame6.jpg textures/slothszone/flame7.jpg textures/slothszone/flame8.jpg textures/slothszone/flame1.jpg
		blendFunc add
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/slothszone/flameball.jpg
		blendFunc add
		rgbGen wave sin .6 .2 0 .6	
	}
}



// ======================================================================
// Awesome Tree
// ======================================================================
textures/slothszone_shader/tree01_leaves
{
	qer_editorimage textures/slothszone/tree01_leaves.tga
	q3map_backShader textures/slothszone/tree01_leaves_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/slothszone/tree01_leaves.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}	
}

textures/slothszone_shader/tree01_leaves_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/slothszone/tree01_leaves.tga
		rgbGen const ( 0.225 0.225 0.225 )
		alphaFunc GE128
	}	